import React, { Component } from 'react'
import { StoreRoot } from './store'
import './app.less'

class App extends Component {

  onLaunch () {
    wx.setBackgroundFetchToken({
      token: 'wxe44244d1a5ea3364'
    })
    wx.getBackgroundFetchData({
      fetchType: 'pre',
      success (res) {
        console.log(res)
      }
    })
  }

  // this.props.children 是将要会渲染的页面
  render () {
    return (
      <StoreRoot>
        {this.props.children}
      </StoreRoot>
    )
  }
}

export default App
